Prune feed redirects for pa-IN

RESOLVED FIXED

Status

RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: Pike, Assigned: cturra)

Tracking

Details

(Reporter)

Description

5 years ago
+++ This bug was initially created as a clone of Bug #466631 +++

I set up feed redirect for Punjabi (pa-IN) in bug 466631.

Now the site we redirect to isn't supporting Punjabi anymore, and we don't have a good replacement, so let's switch off the special case so that the feed goes back to bbc.

http://fxfeeds.mozilla.com/pa-IN/firefox/headlines.xml is the one to prune.

I'm filing this in just server-ops, as I don't think anyone actually really owns this today. These redirects only need to stay alive for legacy bookmarks, so we haven't had much requests like this lately.
Webops manage these, should be on the static cluster. Over to them.
Assignee: server-ops → server-ops-webops
Component: Server Operations → Server Operations: Web Operations
QA Contact: shyam → nmaul
(Assignee)

Comment 2

5 years ago
:Pike - can you please include the exact URL you want ^/pa-IN/firefox/headlines.xml to redirect to?
Flags: needinfo?(l10n)
(Reporter)

Comment 3

5 years ago
I'd suspect that removing the pa-IN redirect makes the BBC default kick in.

I think that should target http://feeds.bbci.co.uk/news/rss.xml?edition=int or an address redirecting to that.
Flags: needinfo?(l10n)
(Assignee)

Comment 4

5 years ago
thnx for the clarification. i have just committed the removal of the pa-IN redirect per your suggestion above. it should be available within the next 30 minutes.

$ svn diff
svn ciIndex: files/generic/httpd-static/etc-httpd/conf/domains/fxfeeds.mozilla.org.conf
===================================================================
--- files/generic/httpd-static/etc-httpd/conf/domains/fxfeeds.mozilla.org.conf	(revision 74284)
+++ files/generic/httpd-static/etc-httpd/conf/domains/fxfeeds.mozilla.org.conf	(working copy)
@@ -74,7 +74,6 @@
...
-    RewriteRule ^/pa-IN/firefox/headlines.xml http://in.punjabi.yahoo.com/rss/news.xml [R]

$ svn ci -m "removing pa-IN redirect per bug 912112."
Sending        trunk/files/generic/httpd-static/etc-httpd/conf/domains/fxfeeds.mozilla.org.conf
Transmitting file data .
Committed revision 74308.
Assignee: server-ops-webops → cturra
Status: NEW → ASSIGNED
(Assignee)

Comment 5

5 years ago
$ curl -IL fxfeeds.mozilla.org/pa-IN/firefox/headlines.xml
HTTP/1.1 302 Found
Cache-Control: max-age=604800
Content-Type: text/html; charset=iso-8859-1
Date: Tue, 03 Sep 2013 22:08:30 GMT
Expires: Tue, 10 Sep 2013 22:08:30 GMT
Location: http://fxfeeds.mozilla.org/firefox/headlines.xml
Server: Apache
Vary: Accept-Encoding
X-Backend-Server: pp-web01
X-Cache-Info: cached
Connection: close

HTTP/1.1 302 Found
Accept-Ranges: bytes
Cache-Control: max-age=604800
Content-Type: text/html; charset=iso-8859-1
Date: Tue, 03 Sep 2013 22:08:42 GMT
Expires: Tue, 10 Sep 2013 22:08:42 GMT
Last-Modified: Thu, 29 Aug 2013 23:12:36 GMT
Location: http://newsrss.bbc.co.uk/rss/newsonline_world_edition/front_page/rss.xml
Server: ECS (sea/55CA)
X-Backend-Server: pp-web04
X-Cache: 302-HIT
X-Cache-Info: caching
Content-Length: 256

HTTP/1.1 301 Moved Permanently
Server: Apache
Location: http://feeds.bbci.co.uk/news/rss.xml?edition=int
Content-Length: 256
Content-Type: text/html; charset=iso-8859-1
Cache-Control: max-age=87934893
Expires: Fri, 17 Jun 2016 16:30:15 GMT
Date: Tue, 03 Sep 2013 22:08:42 GMT
Connection: keep-alive

HTTP/1.1 200 OK
Server: Apache
Content-Type: text/xml
Last-Modified: Tue, 03 Sep 2013 22:04:45 GMT
Cache-Control: max-age=56
Expires: Tue, 03 Sep 2013 22:09:38 GMT
Date: Tue, 03 Sep 2013 22:08:42 GMT
Connection: keep-alive
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.